## pysph 0~20160122.git1fe4786

=== requirements.txt ===
numpy
setuptools>=6.0
Cython>=0.20
mako
nose>=1.0.0
mock>=1.0

## pysph 0~20150606.gitfa26de9

=== debian/changelog ===
pysph (0~20150606.gitfa26de9-5) unstable; urgency=medium

  * [ed9bf4e] Add build-essential to depends.

 -- Anton Gladky <gladk@debian.org>  Thu, 18 Jun 2015 20:24:05 +0200

pysph (0~20150606.gitfa26de9-4) unstable; urgency=medium

  * [b3cea9b] Reduce time execution of sphere-autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Tue, 09 Jun 2015 22:26:05 +0200

pysph (0~20150606.gitfa26de9-3) unstable; urgency=medium

  * [ead64b7] Do not install setuptools. (Closes: #788094)
  * [6c3a640] Move mayavi2 in Recommends.
  * [4685482] Fia autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Tue, 09 Jun 2015 21:40:46 +0200

pysph (0~20150606.gitfa26de9-2) unstable; urgency=medium

  * [512783a] Fix binary-arch build. Thanks to Aaron M. Ucko. (Closes: #787967)

 -- Anton Gladky <gladk@debian.org>  Sun, 07 Jun 2015 08:19:22 +0200

pysph (0~20150606.gitfa26de9-1) unstable; urgency=medium

  * [ad3599b] Imported Upstream version 0~20150606.gitfa26de9. 
              (Closes: #787573)
  * [54eddc8] Disable using napoleon sphinx module.
  * [1b33dc9] Disable autotest temporary.
  * [e86a545] Install only pysph_viewer in /usr/bin
  * [b9c26dc] Set HOME in /tmp-created dir. (Closes: #787575)
  * [2be6b57] Apply cme fix dpkg-control.

 -- Anton Gladky <gladk@debian.org>  Sun, 07 Jun 2015 00:21:09 +0200

pysph (0~20141130.git9132872-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #772908)

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Dec 2014 06:14:14 +0100

=== debian/control ===
Source: pysph
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: cython,
               debhelper (>= 9),
               mpi-default-dev,
               python-dev,
               python-enthoughtbase,
               python-mako,
               python-nose,
               python-numpy,
               python-sphinx (>= 1.0.7+dfsg),
               python-traits,
               python-setuptools
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pysph.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/pysph.git
Homepage: http://pysph.googlecode.com
X-Python-Version: >= 2.7

Package: python-pysph
Architecture: any
Section: python
Depends: build-essential,
         cython,
         python (<< 2.8),
         python (>= 2.7),
         python-mako,
         python-nose,
         python-numpy,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends}
Recommends: pysph-viewer
Description: open source framework for Smoothed Particle Hydrodynamics 
 It is implemented in Python and the performance critical parts are 
 implemented in Cython.
 .
 PySPH is implemented in a way that allows a user to specify the entire 
 SPH simulation in pure Python. High-performance code is generated from 
 this high-level Python code, compiled on the fly and executed. PySPH also 
 features optional automatic parallelization using mpi4py and Zoltan.

Package: pysph-viewer
Architecture: any
Section: python
Depends: python-pysph,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: mayavi2
Description: viewer for PySPH - framework for Smoothed Particle Hydrodynamics
 It is implemented in Python and the performance critical parts are 
 implemented in Cython.
 .
 PySPH is implemented in a way that allows a user to specify the entire 
 SPH simulation in pure Python. High-performance code is generated from 
 this high-level Python code, compiled on the fly and executed. PySPH also 
 features optional automatic parallelization using mpi4py and Zoltan. 
 The package contains viewer for PySPH.

Package: pysph-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${sphinxdoc:Depends},
         ${misc:Depends}
Recommends: python-pysph
Description: documentation and examples for PySPH 
 It is implemented in Python and the performance critical parts are 
 implemented in Cython.
 .
 PySPH is implemented in a way that allows a user to specify the entire 
 SPH simulation in pure Python. High-performance code is generated from 
 this high-level Python code, compiled on the fly and executed. PySPH also 
 features optional automatic parallelization using mpi4py and Zoltan. 
 The package contains documentation and examples for PySPH.

=== debian/rules ===
#!/usr/bin/make -f


export PYTHONPATH := $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/
export HOME := $(mktemp -d)

%:
	dh $@ --with python2 --parallel

override_dh_auto_clean:

override_dh_auto_test:

override_dh_auto_install:
	dh_numpy
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/
	python setup.py install --prefix=$(CURDIR)/debian/tmp/usr
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/setuptools.pth

override_dh_installdocs:
	make doc
	dh_installdocs
	dh_sphinxdoc
	find $(CURDIR)/debian/pysph-doc/usr/share/doc/pysph-doc/html -type f -print0 | xargs --no-run-if-empty -0 sed -i 's/http:\/\/cdn.mathjax.org\/mathjax\/latest/\/usr\/share\/javascript\/mathjax/g'

## pysph 0~20160122.git1fe4786

=== debian/changelog ===
pysph (0~20160122.git1fe4786-1) unstable; urgency=medium

  * [725acf5] Imported Upstream version 0~20160122.git1fe4786
  * [a1a3d77] Refresh patches.
  * [456e370] Add python-moko as Depends.
  * [f6238bf] Minor fix in d/rules.
  * [a8f501b] Apply cme fix dpkg.
  * [73d0d1d] Drop site.py. (Closes: #801902)

 -- Anton Gladky <gladk@debian.org>  Tue, 09 Feb 2016 14:36:27 +0100

=== debian/control ===
--- 
+++ 
@@ -10,25 +10,26 @@
                python-dev,
                python-enthoughtbase,
                python-mako,
+               python-mock,
                python-nose,
                python-numpy,
                python-sphinx (>= 1.0.7+dfsg),
                python-traits,
                python-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pysph.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/pysph.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pysph.git
 Homepage: http://pysph.googlecode.com
 X-Python-Version: >= 2.7
 
 Package: python-pysph
 Architecture: any
 Section: python
-Depends: build-essential,
-         cython,
+Depends: cython,
          python (<< 2.8),
          python (>= 2.7),
          python-mako,
+         python-mock,
          python-nose,
          python-numpy,
          ${misc:Depends},
@@ -36,7 +37,7 @@
          ${shlibs:Depends},
          ${sphinxdoc:Depends}
 Recommends: pysph-viewer
-Description: open source framework for Smoothed Particle Hydrodynamics 
+Description: open source framework for Smoothed Particle Hydrodynamics
  It is implemented in Python and the performance critical parts are 
  implemented in Cython.
  .
@@ -70,7 +71,7 @@
          ${sphinxdoc:Depends},
          ${misc:Depends}
 Recommends: python-pysph
-Description: documentation and examples for PySPH 
+Description: documentation and examples for PySPH
  It is implemented in Python and the performance critical parts are 
  implemented in Cython.
  .

=== debian/tests/control ===
Tests: pysph-test-sphere pysph-test-elliptical
Depends: python-pysph

## pysph 0~20160514.git91867dc

=== Makefile ===
ROOT = $(shell pwd)
MAKEFILE = $(ROOT)/Makefile
SRC = $(ROOT)
PKG2 = $(SRC)/pysph
SUBPKG2 = base sph sph/solid_mech parallel
PKG1 = $(SRC)/pyzoltan
SUBPKG1 = core sph
DIRS := $(foreach dir,$(SUBPKG1),$(PKG1)/$(dir)) \
        $(foreach dir,$(SUBPKG2),$(PKG2)/$(dir))

# this is used for cython files on recursive call to make
PYX = $(wildcard *.pyx)

MPI4PY_INCL = $(shell python -c "import mpi4py; print mpi4py.get_include()")

# the default target to make
all : build

.PHONY : $(DIRS) bench build

build :
	python setup.py build_ext --inplace

$(DIRS) :
	cd $@;  python $(ROOT)/pyzoltan/core/generator.py
	$(MAKE) -f $(MAKEFILE) -C $@ cythoncpp ROOT=$(ROOT)

%.c : %.pyx
	python `which cython` -I$(SRC) -I$(MPI4PY_INCL) $<

%.cpp : %.pyx
	python `which cython` --cplus -I$(SRC) -I$(MPI4PY_INCL) $<

%.html : %.pyx
	python `which cython` -I$(SRC) -I$(MPI4PY_INCL) -a $<

cython : $(PYX:.pyx=.c)

cythoncpp : $(PYX:.pyx=.cpp)

_annotate : $(PYX:.pyx=.html)

annotate :
	for f in $(DIRS); do $(MAKE) -f $(MAKEFILE) -C $${f} _annotate ROOT=$(ROOT); done

clean :
	python setup.py clean
	-for dir in $(DIRS); do rm -f $$dir/*.c; done
	-for dir in $(DIRS); do rm -f $$dir/*.cpp; done

cleanall : clean
	-for dir in $(DIRS); do rm -f $$dir/*.so; done
#	-rm $(patsubst %.pyx,%.c,$(wildcard $(PKG)/*/*.pyx))

test :
	python `which nosetests` --exe -a '!slow' pysph

testall :
	python `which nosetests` --exe pysph

epydoc :
	python cython-epydoc.py --config epydoc.cfg pysph

doc :
	cd docs; make html

develop :
	python setup.py develop

install :
	python setup.py install

clang :
	python $(ROOT)/pyzoltan/core/generator.py
	for f in $(DIRS); do $(MAKE) -f $(MAKEFILE) -C $${f} cythoncpp ROOT=$(ROOT); done
	cd pysph/; for f in */*.cpp */*/*.cpp; do clang++ -g -O2 -shared -fPIC -o $${f%.*}.so $$f -I /usr/include/python2.7/ $(shell mpicxx --showme:compile) $(shell mpicxx --showme:link); done

=== debian/changelog ===
pysph (0~20160514.git91867dc-4build1) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:22:44 +0000

pysph (0~20160514.git91867dc-4) unstable; urgency=medium

  * [64fc2c3] Remove redundant sphinx.ext.mathjax. (Closes: #828917)
  * [f5b1301] Minor fix in d/copyright.

 -- Anton Gladky <gladk@debian.org>  Mon, 01 Aug 2016 18:36:18 +0200

pysph (0~20160514.git91867dc-3) unstable; urgency=medium

  * [da8bf51] Allow stderr in autopkgtests.

 -- Anton Gladky <gladk@debian.org>  Sat, 28 May 2016 19:03:04 +0200

pysph (0~20160514.git91867dc-2) unstable; urgency=medium

  * [f4a146c] Add python-dev to depends.

 -- Anton Gladky <gladk@debian.org>  Fri, 27 May 2016 18:36:50 +0200

pysph (0~20160514.git91867dc-1) unstable; urgency=medium

  * [6377614] Add build-essential to Depends.
  * [3ee9544] Imported Upstream version 0~20160514.git91867dc
  * [a7c3909] Refresh patches.
  * [535eeac] Update d/copyright.
  * [dbd40c6] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Thu, 26 May 2016 20:10:04 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                python-mock,
                python-nose,
                python-numpy,
-               python-sphinx (>= 1.0.7+dfsg),
+               python-sphinx,
                python-traits,
                python-setuptools
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pysph.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pysph.git
 Homepage: http://pysph.googlecode.com
@@ -26,8 +26,10 @@
 Architecture: any
 Section: python
 Depends: cython,
+         build-essential,
          python (<< 2.8),
-         python (>= 2.7),
+         python,
+         python-dev,
          python-mako,
          python-mock,
          python-nose,

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,10 @@
 	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/
 	python setup.py install --prefix=$(CURDIR)/debian/tmp/usr
 	rm -rf $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/setuptools.pth
+	rm -rf $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/sit*
 
 override_dh_installdocs:
 	make doc
 	dh_installdocs
 	dh_sphinxdoc
-	find $(CURDIR)/debian/pysph-doc/usr/share/doc/pysph-doc/html -type f -print0 | xargs --no-run-if-empty -0 sed -i 's/http:\/\/cdn.mathjax.org\/mathjax\/latest/\/usr\/share\/javascript\/mathjax/g'
+	find $(CURDIR)/debian/pysph-doc/usr/share/doc/pysph-doc/html -type f -print0 | xargs --no-run-if-empty -0 sed -i 's/https:\/\/cdn.mathjax.org\/mathjax\/latest/\/usr\/share\/javascript\/mathjax/g'

=== debian/tests/control ===
Tests: pysph-test-sphere pysph-test-elliptical
Depends: python-pysph
Restrictions: allow-stderr

## pysph 0~20180411.git1ae58e1

=== Makefile ===
--- 
+++ 
@@ -53,10 +53,10 @@
 #	-rm $(patsubst %.pyx,%.c,$(wildcard $(PKG)/*/*.pyx))
 
 test :
-	python `which nosetests` --exe -a '!slow' pysph
+	python `which pytest` -m 'not slow' pysph
 
 testall :
-	python `which nosetests` --exe pysph
+	python `which pytest` pysph
 
 epydoc :
 	python cython-epydoc.py --config epydoc.cfg pysph

=== requirements.txt ===
numpy
setuptools>=6.0
Cython>=0.20
mako

=== debian/changelog ===
pysph (0~20180411.git1ae58e1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the missing build dependencies on python-pytest
    and python-pytest-runner, thanks to Steve Langasek.
    (Closes: #915514)
  * Update Homepage: to the current upstream location.

 -- Adrian Bunk <bunk@debian.org>  Mon, 07 Jan 2019 23:30:08 +0200

pysph (0~20180411.git1ae58e1-2) unstable; urgency=medium

  * Team upload.
  * [ead1c83] Add python-sphinx-rtd-theme to build-depends

 -- Anton Gladky <gladk@debian.org>  Sun, 20 May 2018 17:43:24 +0200

pysph (0~20180411.git1ae58e1-1) unstable; urgency=medium

  [ Anton Gladky ]
  * Team upload.
  * [7d6d2af] Update VCS fields
  * [5aea85f] Use Standards-Version: 4.1.4
  * [43ebe1d] Use compat-level 11
  * [cc5d3ad] Remove deprecated Testsuite-field in d/control
  * [d19ce32] Update python version number
  * [bd1e06a] Remove deprecated patch
  * [0fbe2df] Update d/rules
  * [c397a0f] Remove x-python-version field
  * [f97cf1a] Remove myself from uploaders
  * [804d0a4] Don not install easy-install.pth (Closes: #884256)
  * [60a358a] New upstream version 0~20180411.git1ae58e1

  [ Chris Lamb ]
  * [7fb9fed] Make the build reproducible. (Closes: #870358)

 -- Anton Gladky <gladk@debian.org>  Sun, 20 May 2018 15:05:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: pysph
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Anton Gladky <gladk@debian.org>
 Section: science
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: cython,
-               debhelper (>= 9),
+               debhelper (>= 11~),
                mpi-default-dev,
                python-dev,
                python-enthoughtbase,
@@ -13,14 +11,16 @@
                python-mock,
                python-nose,
                python-numpy,
+               python-pytest,
+               python-pytest-runner,
                python-sphinx,
+               python-sphinx-rtd-theme,
                python-traits,
                python-setuptools
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pysph.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pysph.git
-Homepage: http://pysph.googlecode.com
-X-Python-Version: >= 2.7
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/science-team/pysph
+Vcs-Git: https://salsa.debian.org/science-team/pysph.git
+Homepage: https://github.com/pypr/pysph
 
 Package: python-pysph
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f


export PYTHONPATH := $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/
export HOME := $(mktemp -d)

%:
	dh $@ --with python2

override_dh_auto_clean:

override_dh_auto_test:

override_dh_auto_install:
	dh_numpy
	python setup.py install --root=$(CURDIR)/debian/tmp --single-version-externally-managed --install-layout=deb --no-compile
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/setuptools.pth
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages/sit*
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages/easy-install.pth

override_dh_installdocs:
	make doc
	dh_installdocs
	dh_sphinxdoc
	find $(CURDIR)/debian/pysph-doc/usr/share/ -type f -print0 | xargs --no-run-if-empty -0 sed -i 's/https:\/\/cdnjs.cloudflare.com\/ajax\/libs\/mathjax\/2.7.1/\/usr\/share\/javascript\/mathjax/g'
	find $(CURDIR)/debian/pysph-doc/usr/share/ -type f -print0 | xargs --no-run-if-empty -0 sed -i 's/https:\/\/www.youtube.com//g'

## pysph 1.0~b0~20191115.gite3d5e10

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,9 @@
 ROOT = $(shell pwd)
 MAKEFILE = $(ROOT)/Makefile
 SRC = $(ROOT)
-PKG2 = $(SRC)/pysph
-SUBPKG2 = base sph sph/solid_mech parallel
-PKG1 = $(SRC)/pyzoltan
-SUBPKG1 = core sph
-DIRS := $(foreach dir,$(SUBPKG1),$(PKG1)/$(dir)) \
-        $(foreach dir,$(SUBPKG2),$(PKG2)/$(dir))
+PKG1 = $(SRC)/pysph
+SUBPKG1 = base sph sph/solid_mech parallel
+DIRS := $(foreach dir,$(SUBPKG1),$(PKG1)/$(dir))
 
 # this is used for cython files on recursive call to make
 PYX = $(wildcard *.pyx)
@@ -69,8 +66,3 @@
 
 install :
 	python setup.py install
-
-clang :
-	python $(ROOT)/pyzoltan/core/generator.py
-	for f in $(DIRS); do $(MAKE) -f $(MAKEFILE) -C $${f} cythoncpp ROOT=$(ROOT); done
-	cd pysph/; for f in */*.cpp */*/*.cpp; do clang++ -g -O2 -shared -fPIC -o $${f%.*}.so $$f -I /usr/include/python2.7/ $(shell mpicxx --showme:compile) $(shell mpicxx --showme:link); done

=== requirements.txt ===
numpy
setuptools>=6.0
Cython>=0.20
https://github.com/pypr/cyarray/zipball/master
https://github.com/pypr/compyle/zipball/master
mako
pytools
Beaker

=== debian/changelog ===
pysph (1.0~b0~20191115.gite3d5e10-4) unstable; urgency=medium

  * Team upload.
  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Tue, 09 Feb 2021 19:47:44 +0100

pysph (1.0~b0~20191115.gite3d5e10-4~exp1) experimental; urgency=medium

  * debian/rules:
    - re-enable tests onMultipleLevelsStratified*
  * debian/patches:
    - new 0006-Fix-segfaullt-on-non-x86-platforms.patch
      (Closes: #948736)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Feb 2021 09:38:21 +0000

pysph (1.0~b0~20191115.gite3d5e10-3) unstable; urgency=medium

  * Team upload.
  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Mon, 01 Feb 2021 18:09:40 +0100

pysph (1.0~b0~20191115.gite3d5e10-3~exp1) experimental; urgency=medium

  * debian/control:
    - Standards-Version bump ed to 4.5.1 (no change).
  * debian/patches:
    - set the Forwarded tag inall patches
  * debian/rules:
    - temporary skip "MultipleLevelsStratified*" test cases
      (see https://github.com/pypr/pysph/issues/237)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 24 Jan 2021 18:46:07 +0000

pysph (1.0~b0~20191115.gite3d5e10-2) unstable; urgency=medium

  * Standards version bumped to 4.5.0 (no change).
  * Re-enable parallel extension
  * debian/control:
    - build-depend and recommend mpi4py and pyzoltan
    - pysph-viewer recommends h5py and suggests pysph-doc
  * debian/patches:
    - drop 0004-Disable-parallel-extension.patch
    - new 0004-Fix-nprocs.patch: control the number of concurrent
      processes in MPI tests
    - new 0005-Spelling.patch
  * debian/rules:
    - improve clean target

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 19 Apr 2020 16:39:21 +0000

pysph (1.0~b0~20191115.gite3d5e10-1) unstable; urgency=medium

  * New upstream release.
  * Standards version bumped to 4.4.1 (no change).
  * debian/control:
    - update dependencies: added python3-compyle, python3-cyarray
      and python3-beaker
    - recommend python3-pyopencl
    - explicitly specify Rules-Requires-Root
    - require mako >= 1.1.0 (Closes: #945326)
  * No longer install examples (outdated).
  * No longer install pyzoltan (removed upstream).
  * Update debian/copyright.
  * debian/patches:
    - drop 0002-Spelling.patch
    - refresh and renumber remaining patches
    - new 0004-Disable-parallel-extension.patch,
      pyzoltan is not available
  * debian/tests:
    - use the Python 3 version of the package to run autopackagetest
    - improve test scripts

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Jan 2020 11:09:04 +0000

pysph (1.0~a6-3) unstable; urgency=medium

  * debian/rules:
    - fix pytest flags for test exclusion
  * Enable CI on salsa.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 06 Sep 2019 19:19:33 +0000

pysph (1.0~a6-2) unstable; urgency=medium

  * Fix/update debian/copyright file (Closes: #935570).
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Move from experimental to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Aug 2019 16:36:20 +0000

pysph (1.0~a6-1) experimental; urgency=medium

  * New upstream release.
  * Standards version bumped to 4.4.0 (no change).
  * Drop debian/compat file, and depend on debelper-compat.
  * Set compat to 12.
  * Add upstream metadata file.
  * Add watch file.
  * Fix duplicate files in pysph-doc.
  * Use local mathjax.
  * Register documentation in doc-base.
  * debian/rules:
    - enable hardening flags
    - improve clean target
    - enable testing
  * debian/patches:
    - new 0001-Use-local-mathjax.patch
    - new 0002-Spelling.patch
    - new 0003-autodoc_mock_imports.patch
    - new 0004-Use-Python-3-in-Makefile.patch
  * debian/control:
    - move pysph-viewer to the science section
    - pysph-viewer now is maked as architecture all
    - update depenndencies for new upstream release (pytools)
    - python3-pysph now suggests pysph-doc
    - added dependency on python3-stl
  * Switch to pybuild.
  * Update debian/copyright file.
  * New Python 3 package.
  * Drop Python 2 support.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 18 Aug 2019 17:10:11 +0200

pysph (0~20180411.git1ae58e1-3) unstable; urgency=medium

  * Team upload.
  * [6bd820f] Set Standards-Version to 4.3.0
  * [ae4bb17] Trim trailing whitespace.
  * [bf44b2f] Add Antonio Valentino as an uploader.

 -- Anton Gladky <gladk@debian.org>  Thu, 15 Aug 2019 21:22:06 +0200

=== debian/control ===
Source: pysph
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: science
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 12),
               dh-python,
               libjs-mathjax,
               libtrilinos-zoltan-dev,
               mpi-default-dev,
               python3-all-dev,
               python3-beaker,
               python3-compyle,
               python3-cyarray,
               python3-h5py,
               python3-mako (>= 1.1.0),
               python3-nose,
               python3-mpi4py,
               python3-numpy,
               python3-pytest,
               python3-pytest-runner,
               python3-pytools,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-stl,
               python3-traits,
               python3-pyzoltan
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/science-team/pysph
Vcs-Git: https://salsa.debian.org/science-team/pysph.git
Homepage: https://github.com/pypr/pysph
Rules-Requires-Root: no

Package: python3-pysph
Architecture: any
Section: python
Depends: cython3,
         build-essential,
         python3,
         python3-all-dev,
         python3-beaker,
         python3-compyle,
         python3-cyarray,
         python3-mako (>= 1.1.0),
         python3-mock,
         python3-nose,
         python3-numpy,
         python3-pytools,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends}
Recommends: pysph-viewer,
            python3-mpi4py,
            python3-pyopencl,
            python3-pyzoltan,
            python3-stl
Suggests: pysph-doc
Description: open source framework for Smoothed Particle Hydrodynamics
 It is implemented in Python and the performance critical parts are
 implemented in Cython.
 .
 PySPH is implemented in a way that allows a user to specify the entire
 SPH simulation in pure Python. High-performance code is generated from
 this high-level Python code, compiled on the fly and executed. PySPH also
 features optional automatic parallelization using mpi4py and Zoltan.

Package: pysph-viewer
Architecture: all
Depends: python3-pysph,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: mayavi2,
            python3-h5py
Suggests: pysph-doc
Description: viewer for PySPH - framework for Smoothed Particle Hydrodynamics
 It is implemented in Python and the performance critical parts are
 implemented in Cython.
 .
 PySPH is implemented in a way that allows a user to specify the entire
 SPH simulation in pure Python. High-performance code is generated from
 this high-level Python code, compiled on the fly and executed. PySPH also
 features optional automatic parallelization using mpi4py and Zoltan.
 The package contains viewer for PySPH.

Package: pysph-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${sphinxdoc:Depends},
         ${misc:Depends}
Recommends: python3-pysph
Description: documentation and examples for PySPH
 It is implemented in Python and the performance critical parts are
 implemented in Cython.
 .
 PySPH is implemented in a way that allows a user to specify the entire
 SPH simulation in pure Python. High-performance code is generated from
 this high-level Python code, compiled on the fly and executed. PySPH also
 features optional automatic parallelization using mpi4py and Zoltan.
 The package contains documentation and examples for PySPH.

=== debian/rules ===
#!/usr/bin/make -f

export USE_TRILINOS=1
export ZOLTAN_INCLUDE=/usr/include/trilinos
export ZOLTAN_LIBRARY=/usr/lib
export NPROCS=2
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_TEST_ARGS=-k 'not test_sph_evaluator and not TestInterpolator'

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	env PYTHONPATH=$(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') \
	python3 -m sphinx -M html $(CURDIR)/docs/source $(CURDIR)/docs/build -N
	find $(CURDIR)/docs/build/html -type f -print0 | xargs --no-run-if-empty -0 sed -i 's/https:\/\/www.youtube.com//g'
endif

override_dh_python3:
	dh_python3 -N pysph-doc
	dh_numpy3 -N pysph-doc

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) clean
	$(MAKE) -C docs clean
	$(RM) -r PySPH.egg-info
	$(RM) pysph/base/gpu_helper_functions
	$(RM) pysph/base/stratified_sfc_gpu_nnps
	$(RM) pysph/base/z_order_gpu_nnps
	$(RM) pysph/tools/geometry_stl.cpp
	find . -name '*.pyc' -delete
	$(RM) -r .pytest_cache

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pysph)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pysph-$1.$2/,\
repacksuffix=+ds \
https://github.com/pypr/pysph/releases \
(?:.*?/archive/)?(?:rel|v|pysph)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pysph 1.0~b1

=== debian/changelog ===
pysph (1.0~b1-5) unstable; urgency=medium

  * debian/rules:
    - enable numpy3 dh helper.
    - disable tests not compatible with numpy v1.24.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 29 Dec 2022 19:26:20 +0000

pysph (1.0~b1-4) unstable; urgency=medium

  * debian/patches:
    - new 0006-Fix-compatibility-with-Python-3.11.patch
      (Closes: #1024498).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 23 Nov 2022 17:41:20 +0000

pysph (1.0~b1-3) unstable; urgency=medium

  * debian/patches:
    - new debian/patches/0005-Fix-compatibility-with-mako.patch.
      Closes: #1023028.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 30 Oct 2022 15:03:01 +0000

pysph (1.0~b1-2) unstable; urgency=medium

  * Standards version bumped to 4.6.1, no changes.
  * debian/tests:
    - autopkgtest with all supported python versions.
  * update lintian overrides (to the new format).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 10 Jul 2022 07:42:53 +0000

pysph (1.0~b1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - remove obsolete dependencies: nose and mock
    - add new dependencies: mayavi, pyopencl, pyside2.
  * Update d/copyright.
  * debian/patches:
    - drop 0005-Spelling.patch and
      0006-Fix-segfaullt-on-non-x86-platforms.patch,
      applied upstream
    - refresh remaining patches.
  * debian/rules:
    - re-enable test_parallel (see
      https://github.com/pypr/pysph/issues/326)
    - fix permissions.
  * Add lintian overrides for
    package-contains-documentation-outside-usr-share-doc.
  * Uodate d/tests scripts.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 11 Mar 2022 07:44:00 +0000

pysph (1.0~b0~20191115.gite3d5e10-6) unstable; urgency=medium

  * Update watch file to use tags instead of releases.
  * Disable broken test (see
    https://github.com/pypr/pysph/issues/326).
    Closes: #997029.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 02 Jan 2022 09:54:54 +0000

pysph (1.0~b0~20191115.gite3d5e10-5) unstable; urgency=medium

  * Standards version bumped to 4.6.0 (no changes).
  * Update the debian/watch file.
  * debian/patches:
    - forward 0005-Spelling.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Sep 2021 10:14:08 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                dh-python,
                libjs-mathjax,
                libtrilinos-zoltan-dev,
+               mayavi2,
                mpi-default-dev,
                python3-all-dev,
                python3-beaker,
@@ -15,9 +16,10 @@
                python3-cyarray,
                python3-h5py,
                python3-mako (>= 1.1.0),
-               python3-nose,
                python3-mpi4py,
                python3-numpy,
+               python3-pyopencl,
+               python3-pyside2.qtwidgets,
                python3-pytest,
                python3-pytest-runner,
                python3-pytools,
@@ -27,7 +29,7 @@
                python3-stl,
                python3-traits,
                python3-pyzoltan
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/pysph
 Vcs-Git: https://salsa.debian.org/science-team/pysph.git
 Homepage: https://github.com/pypr/pysph
@@ -44,9 +46,6 @@
          python3-compyle,
          python3-cyarray,
          python3-mako (>= 1.1.0),
-         python3-mock,
-         python3-nose,
-         python3-numpy,
          python3-pytools,
          ${misc:Depends},
          ${python3:Depends},
@@ -74,7 +73,8 @@
          ${python3:Depends},
          ${shlibs:Depends}
 Recommends: mayavi2,
-            python3-h5py
+            python3-h5py,
+            python3-pyside2.qtwidgets
 Suggests: pysph-doc
 Description: viewer for PySPH - framework for Smoothed Particle Hydrodynamics
  It is implemented in Python and the performance critical parts are

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,14 @@
 export ZOLTAN_LIBRARY=/usr/lib
 export NPROCS=2
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export PYBUILD_TEST_ARGS=-k 'not test_sph_evaluator and not TestInterpolator'
+export PYBUILD_TEST_ARGS=\
+-k 'not test_sph_evaluator\
+and not TestInterpolator\
+and not test_get_points_from_mgrid\
+and not test_get_surface_points_uniform'
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,numpy3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9
@@ -24,6 +28,11 @@
 	dh_python3 -N pysph-doc
 	dh_numpy3 -N pysph-doc
 
+override_dh_auto_install:
+	dh_auto_install
+	chmod -x $(CURDIR)/debian/*/usr/lib/python3.*/*-packages/pysph/examples/shallow_water/okushiri_tsunami_input_files/*.bz2
+	chmod -x $(CURDIR)/debian/*/usr/lib/python3.*/*-packages/pysph/examples/shallow_water/okushiri_tsunami_input_files/*.txt
+
 override_dh_auto_clean:
 	dh_auto_clean
 	$(MAKE) clean

=== debian/tests/control ===
Tests: pysph-test-elliptical
Depends: python3-pysph, python3-all
Restrictions: allow-stderr

## pysph 1.0~b2

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 MAKEFILE = $(ROOT)/Makefile
 SRC = $(ROOT)
 PKG1 = $(SRC)/pysph
-SUBPKG1 = base sph sph/solid_mech parallel
+SUBPKG1 = base sph sph/solid_mech parallel tools
 DIRS := $(foreach dir,$(SUBPKG1),$(PKG1)/$(dir))
 
 # this is used for cython files on recursive call to make

=== requirements.txt ===
numpy
setuptools>=42.0.0
Cython>=0.20
cyarray
compyle>=0.8
mako
pytools
Beaker

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PySPH.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PySPH.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PySPH"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PySPH"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pysph (1.0~b2-2) unstable; urgency=medium

  * debian/conrol:
    - Mark pysph-doc as "Multi-Arch: foreign".
    - Add dependency on pybuild-plugin-pyproject.
  * Fix d/python3-pysph.install.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Sep 2025 10:43:53 +0000

pysph (1.0~b2-1) unstable; urgency=medium

  * New upstream release (Closes: #1083586).
  * Standards version bumped to 4.7.2, no changes.
  * debian/patches:
    - New 0010-Fix-syntax-warning.patch (Closes: #1085828).
    - Drop 0005-Fix-compatibility-with-mako.patch,
      0005-Fix-compatibility-with-Python-3.11.patch,
      0007-Compatibility-with-cython-v3.x.patch, applied upstream.
    - Refresh and renumber remaining patches.
    - New 0006-no-distutils.patch.
  * debian/rules:
    - Skip tests for OctreeGPU (Closes: #1084148).
  * devian/control:
    - Update dependencies.
    - Drop 'Rules-Requires-Root: no', no longer needed.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Sep 2025 17:38:57 +0000

pysph (1.0~b1-8) unstable; urgency=medium

  * debian/control:
    - Remove runtime dependenvy form cython (Closes: #1058013).
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Jan 2024 10:11:47 +0000

pysph (1.0~b1-7) unstable; urgency=medium

  * debian/patches:
    - New 0008-Compatibility-with-cython-v3.x.patch
      (Closes: #1056846).
  * debian/rules:
    - Update the list of tests to skip.
  * debian/control:
    - Drop versioned dependency for python3-mako.
    - Remove sphinxdoc:Depemds from python3-pysph.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 03 Dec 2023 09:26:15 +0000

pysph (1.0~b1-6) unstable; urgency=medium

  * Standards version bumped to 4.6.2, no changes.
  * debian/control:
    - bump debhelper-compat version to 13.
    - use <!nodoc> and <!nocheck> markers.
    - update package description.
  * debian/patches:
    - new 0007-Fix-SyntaxWarning.patch (Closes: #1040292).
  * Update dates in d/copyright.
  * Switch to dh-sequence-*.
  * Improve doc build.
  * New d/clean (Closes: #1047706).
  * debian/rules:
    - Use execute_{before,after} instead of override in rules file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 17 Aug 2023 08:54:23 +0000

=== debian/control ===
Source: pysph
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: science
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               libjs-mathjax <!nodoc>,
               libtrilinos-zoltan-dev,
               mayavi2,
               mpi-default-dev,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-beaker,
               python3-compyle,
               python3-cyarray,
               python3-h5py,
               python3-mako,
               python3-mpi4py,
               python3-numpy,
               python3-pyopencl,
               python3-pyside2.qtwidgets,
               python3-pytest <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-pytools,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-stl,
               python3-traits,
               python3-pyzoltan
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/pysph
Vcs-Git: https://salsa.debian.org/science-team/pysph.git
Homepage: https://github.com/pypr/pysph
Description: Open-source framework for Smoothed Particle Hydrodynamics
 It is implemented in Python and the performance critical parts are
 implemented in Cython.
 .
 PySPH is implemented in a way that allows a user to specify the entire
 SPH simulation in pure Python. High-performance code is generated from
 this high-level Python code, compiled on the fly and executed. PySPH also
 features optional automatic parallelization using mpi4py and Zoltan.

Package: python3-pysph
Architecture: any
Section: python
Depends: build-essential,
         python3,
         python3-all-dev,
         python3-beaker,
         python3-compyle,
         python3-cyarray,
         python3-mako,
         python3-pytools,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: cython3,
            pysph-viewer,
            python3-mpi4py,
            python3-pyopencl,
            python3-pyzoltan,
            python3-stl
Suggests: pysph-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: pysph-viewer
Architecture: all
Depends: python3-pysph,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: mayavi2,
            python3-h5py,
            python3-pyside2.qtwidgets
Suggests: pysph-doc
Description: ${source:Synopsis} (viewer)
 ${source:Extended-Description}
 .
 The package contains viewer for PySPH.

Package: pysph-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-mathjax,
         ${sphinxdoc:Depends},
         ${misc:Depends}
Recommends: python3-pysph
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 The package contains documentation and examples for PySPH.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,${PYBUILD_AUTOPKGTEST})
TESTDIR=/usr/lib/python3/dist-packages/
else
TESTDIR=""
endif

export USE_TRILINOS=1
export ZOLTAN_INCLUDE=/usr/include/trilinos
export ZOLTAN_LIBRARY=/usr/lib
export NPROCS=2
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_TEST_ARGS=\
-k "not test_sph_evaluator \
and not TestInterpolator \
and not test_get_points_from_mgrid \
and not test_get_surface_points_uniform \
and not test_compressed_octree_has_lesser_depth_than_octree \
and not test_parallel_compressed_octree_has_lesser_depth_than_parallel_octree \
and not test_ldcavity_example \
and not test_dump_xdmf \
and not OctreeGPUNNPS2DTestCase \
and not OctreeGPUNNPSDouble2DTestCase \
and not OctreeGPUNNPSTestCase \
and not OctreeGPUDoubleNNPSTestCase \
and not OctreeGPUNNPSWithSortingTestCase \
and not OctreeGPUNNPSWithPartitioningTestCase \
and not TestAccelerationEval1DGPUOctree" \

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	env PYTHONPATH=$(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') \
	python3 -m sphinx -b html -N -E -T $(CURDIR)/docs/source $(CURDIR)/.pybuild/docs/html
	find $(CURDIR)/.pybuild/docs/html -type f -print0 | xargs --no-run-if-empty -0 sed -i 's/https:\/\/www.youtube.com//g'
endif

execute_after_dh_auto_install:
	chmod -x $(CURDIR)/debian/*/usr/lib/python3.*/*-packages/pysph/examples/shallow_water/okushiri_tsunami_input_files/*.bz2
	chmod -x $(CURDIR)/debian/*/usr/lib/python3.*/*-packages/pysph/examples/shallow_water/okushiri_tsunami_input_files/*.txt

execute_after_dh_auto_clean:
	$(MAKE) clean

=== debian/tests/control ===
Tests: pysph-test-elliptical
Depends: python3-pysph, python3-all, cython3
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pysph)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pysph-$1.$2/,\
repacksuffix=+ds \
https://github.com/pypr/pysph/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pysph)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
